Skip to main content
GET
/
certifications
Get certifications for an entity
curl --request GET \
  --url https://backstage.example.com/api/soundcheck/certifications
{
  "certifications": [
    {
      "entityRef": "<string>",
      "track": {
        "id": "<string>"
      },
      "levels": [
        {
          "ordinal": 123,
          "name": "<string>",
          "entityRef": "<string>",
          "checks": [
            {
              "id": "<string>",
              "name": "<string>",
              "description": "<string>",
              "entityRef": "<string>",
              "timestamp": "<string>",
              "details": "<unknown>"
            }
          ],
          "certified": true,
          "description": "<string>"
        }
      ],
      "highestLevel": {
        "ordinal": 123,
        "name": "<string>",
        "entityRef": "<string>",
        "checks": [
          {
            "id": "<string>",
            "name": "<string>",
            "description": "<string>",
            "entityRef": "<string>",
            "timestamp": "<string>",
            "details": "<unknown>"
          }
        ],
        "certified": true,
        "description": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://backstage.spotify.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

entityRef
string
required

The entity reference to get certifications for

trackId
string

Optional track ID to filter certifications

includeFilteredChecks
boolean

Whether to include filtered/NA checks

includeDraftTracks
boolean

Whether to include certifications for draft tracks

Response

OK

certifications
object[]
required